Name: 		gtk-infinity-theme
Version: 	1.4.1
Release: 	%mkrel 2
Summary: 	A pretty theme for Gnome
Group:   	Graphical desktop/GNOME
License: 	GPLv2
URL:     	http://www.bisigi-project.org
Source1:  	infinity-gdm.tar.bz2
Source2: 	infinity-gtk.tar.bz2
Source3:    	infinity-icons.tar.bz2
Source4:	infinity.emerald
Source5:	infinity.jpg
Source6:	infinity-wallpaper.xml
Source7:    	COPYING
Source8:    	credits.txt 
BuildArch:	noarch
Requires:   	murrine
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root


%description
Infinity theme contains a full theme for GNOME based system.
It includes the following components:
   * "Infinity" wallpaper
   * GTK+ theme
   * Metacity theme
   * Emerald theme
   * Icons set


%prep

tar --bzip2 -xf %{SOURCE1}
tar --bzip2 -xf %{SOURCE2}
tar --bzip2 -xf %{SOURCE3}

%install

export DONT_STRIP=1

rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/themes/infinity
install -d %{buildroot}%{_datadir}/icons/infinity
install -d %{buildroot}%{_datadir}/gdm/themes/infinity
install -d %{buildroot}%{_datadir}/pixmaps/backgrounds/infinity
install -d %{buildroot}%{_datadir}/gnome-background-properties
install -d %{buildroot}%{_datadir}/doc/infinity
install -d %{buildroot}%{_datadir}/emerald/themes/infinity

cp -r ./infinity-gtk/* %{buildroot}%{_datadir}/themes/infinity/
cp -r ./infinity-icons/* %{buildroot}%{_datadir}/icons/infinity/
cp -r ./infinity-gdm/* %{buildroot}%{_datadir}/gdm/themes/infinity/

install -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/emerald/themes/infinity/infinity.emerald
install -m 644 %SOURCE5 $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/infinity/infinity.jpg
install -m 644 %SOURCE6 $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/infinity-wallpaper.xml
install -m 644 %SOURCE7 $RPM_BUILD_ROOT%{_docdir}/infinity/COPYING
install -m 644 %SOURCE8 $RPM_BUILD_ROOT%{_docdir}/infinity/credits.txt

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root,-)
%{_docdir}/infinity/*
%{_datadir}/themes/infinity/*
%{_datadir}/icons/infinity/*
%{_datadir}/gdm/themes/infinity/*
%{_datadir}/emerald/themes/infinity/infinity.emerald
%{_datadir}/gnome-background-properties
%{_datadir}/pixmaps/backgrounds/infinity/*

%changelog
* Sun Dec 20 2009 Texstar <texstar at gmail.com> 1.4.1-2pclos2010
- fix synaptic/rpm group Graphical desktop/GNOME

* Wed Dec 02 2009 maik3531 <maik3531 at yahoo dot de> infinity-theme-1.4.1-1pclos2010
- first build

